I have an error with gem devise

Question

I have create a simple project on Ruby on Rails.

I have added gem devise in my Gemfile.

When I launch the command rails g devise:install I have the output in the error below:

/usr/local/rvm/gems/ruby-2.3.0/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/session/abstract_store.rb:90:in `<module:Session>': uninitialized constant Rack::Session::Abstract::Persisted (NameError)
from /usr/local/rvm/gems/ruby-2.3.0/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/session/abstract_store.rb:8:in `<module:ActionDispatch>'
from /usr/local/rvm/gems/ruby-2.3.0/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/session/abstract_store.rb:7:in `<top (required)>'
from /usr/local/rvm/gems/ruby-2.3.0/gems/actionpack-5.0.0.1/lib/action_dispatch/middleware/session/cookie_store.rb:2:in `<top (required)>'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/configuration.rb:181:in `const_get'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/configuration.rb:181:in `session_store'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/default_middleware_stack.rb:58:in `block in build_stack'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/default_middleware_stack.rb:13:in `tap'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/default_middleware_stack.rb:13:in `build_stack'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:504:in `default_middleware_stack'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/engine.rb:506:in `block in app'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/engine.rb:504:in `synchronize'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/engine.rb:504:in `app'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application/finisher.rb:37:in `block in <module:Finisher>'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:30:in `instance_exec'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:30:in `run'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:55:in `block in run_initializers'
from /usr/lib/ruby/2.2.0/tsort.rb:226:in `block in tsort_each'
from /usr/lib/ruby/2.2.0/tsort.rb:348:in `block (2 levels) in each_strongly_connected_component'
from /usr/lib/ruby/2.2.0/tsort.rb:429:in `each_strongly_connected_component_from'
from /usr/lib/ruby/2.2.0/tsort.rb:347:in `block in each_strongly_connected_component'
from /usr/lib/ruby/2.2.0/tsort.rb:345:in `each'
from /usr/lib/ruby/2.2.0/tsort.rb:345:in `call'
from /usr/lib/ruby/2.2.0/tsort.rb:345:in `each_strongly_connected_component'
from /usr/lib/ruby/2.2.0/tsort.rb:224:in `tsort_each'
from /usr/lib/ruby/2.2.0/tsort.rb:203:in `tsort_each'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:54:in `run_initializers'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:352:in `initialize!'
from /root/Desktop/provadevise/config/environment.rb:5:in `<top (required)>'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:328:in `require_environment!'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/commands/commands_tasks.rb:157:in `require_application_and_environment!'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/commands/commands_tasks.rb:143:in `generate_or_destroy'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/commands/commands_tasks.rb:60:in `generate'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/commands/commands_tasks.rb:49:in `run_command!'
from /usr/local/rvm/gems/ruby-2.3.0/gems/railties-5.0.0.1/lib/rails/commands.rb:18:in `<top (required)>'
from bin/rails:4:in `require'
from bin/rails:4:in `<main>'

What is the problem?


Show source
| ruby   | rubygems   | ruby-on-rails   | devise   | gemfile   2016-12-11 19:12 0 Answers

Answers to I have an error with gem devise ( 0 )

Leave a reply to - I have an error with gem devise

◀ Go back